package test;

import java.io.*;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

/**
 * The warn tag makes the contents red.
 */
public class WarnTag extends TagSupport  {
  /**
   * doStartTag starts the font tag.
   */
  public int doStartTag() throws JspException
  {
    try {
      pageContext.getOut().print("<font color=red>");
    } catch (IOException e) {
    }
    
    return EVAL_BODY_INCLUDE;
  }
  /**
   * doEndTag completes the font tag and returns EVAL_PAGE to continue
   * with the rest of the page.
   */
  public int doEndTag() throws JspException
  {
    try {
      pageContext.getOut().print("</font>");
    } catch (IOException e) {
    }
    
    return EVAL_PAGE;
  }
}
